[arch-commits] Commit in bonnie++/repos (extra-i686 extra-i686/PKGBUILD)

Giovanni Scafora giovanni at archlinux.org
Fri Nov 20 00:57:47 EST 2009


    Date: Friday, November 20, 2009 @ 00:57:47
  Author: giovanni
Revision: 59080

Merged revisions 59079 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/bonnie++/trunk

........
  r59079 | giovanni | 2009-11-19 21:57:03 -0800 (gio, 19 nov 2009) | 2 lines
  
  upgpkg: bonnie++ 1.03e-2
      Removed old gcc dep
........

Modified:
  bonnie++/repos/extra-i686/	(properties)
  bonnie++/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)


Property changes on: bonnie++/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /bonnie++/trunk:1-27575
   + /bonnie++/trunk:1-59079

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-11-20 05:57:03 UTC (rev 59079)
+++ extra-i686/PKGBUILD	2009-11-20 05:57:47 UTC (rev 59080)
@@ -4,22 +4,20 @@
 
 pkgname=bonnie++
 pkgver=1.03e
-pkgrel=1
-pkgdesc="Bonnie++ is based on the Bonnie hard drive benchmark by Tim Bray"
-arch=(i686 x86_64)
+pkgrel=2
+pkgdesc="Based on the Bonnie hard drive benchmark by Tim Bray"
+arch=('i686' 'x86_64')
 url="http://www.coker.com.au/bonnie++/"
 license=('GPL')
-depends=('gcc' 'perl')
+depends=('perl')
 source=(http://www.coker.com.au/bonnie++/$pkgname-$pkgver.tgz)
 md5sums=('750aa5b5051263a99c6c195888c74968')
 
 build() {
-  cd $srcdir/$pkgname-$pkgver
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr || return 1
   /bin/sed -i "s:CFLAGS=-O2  -DNDEBUG \$(WFLAGS) \$(MORECFLAGS):CFLAGS=${CFLAGS}:" \
       Makefile || return 1
   make || return 1
-  make prefix=$pkgdir/usr install || return 1
+  make prefix="${pkgdir}/usr" install || return 1
 }
-# vim: ts=2 sw=2 et ft=sh
-



More information about the arch-commits mailing list